Bug 1025234 - Warning & call trace while running LTP - .ext4_da_invalidatepage+0x38c/0x3b0
Warning & call trace while running LTP - .ext4_da_invalidatepage+0x38c/0x3b0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
ppc64 All
unspecified Severity high
: ---
: ---
Assigned To: fedora-kernel-extfs
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 05:53 EDT by IBM Bug Proxy
Modified: 2014-10-08 08:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-08 08:36:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages file from affected machine (5.27 MB, text/plain)
2013-10-31 05:53 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 99088 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-10-31 05:53:14 EDT
Problem Description
------------------------------------
I am getting below warning & call trace in "/var/log/messages" while running LTP on F20-alpha release. "var/log/messages" file is attached with the bug.

uname -a :
Linux jupiterioc-lp2.xxxx.ibm.com 3.11.0-300.fc20.ppc64 #1 SMP Thu Sep 5 16:13:52 MST 2013 ppc64 ppc64 ppc64 GNU/Linux


Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939642] EXT4-fs warning (device dm-1): ext4_da_release_space:1330: ext4_da_release_space: ino 1706562, to_free 1 with only 0 reserved data blocks
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939685] ------------[ cut here ]------------
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939690] WARNING: at fs/ext4/inode.c:1331
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939694] Modules linked in: tun loop ip6table_filter ip6_tables ebtable_nat ebtables bnep bluetooth rfkill windfarm_smu_sat i2c_core ibmveth windfarm_pid nfsd auth_rpcgss oid_registry nfs_acl lockd sunrpc ibmvscsi scsi_transport_srp scsi_tgt
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939735] CPU: 0 PID: 53786 Comm: growfiles Not tainted 3.11.0-300.fc20.ppc64 #1
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939741] task: c00000045fa476c0 ti: c000000448430000 task.ti: c000000448430000
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939746] NIP: c00000000030917c LR: c000000000309178 CTR: 00000000015c5f10
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939752] REGS: c0000004484335d0 TRAP: 0700   Not tainted  (3.11.0-300.fc20.ppc64)
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939757] MSR: 8000000000029032 <SF,EE,ME,IR,DR,RI>  CR: 24004424  XER: 0000000b
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939771] SOFTE: 1
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939774] CFAR: c00000000032e0f4
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939777]
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939777] GPR00: c000000000309178 c000000448433850 c00000000133c030 0000000000000089
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939777] GPR04: c0000000017027f8 c000000001713200 000000000000000b 0000000000000000
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939777] GPR08: c000000000c5c030 0000000000000000 0000000000000000 0000000000000000
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939777] GPR12: 0000000024004422 c000000007f00000 00000000100318d0 0000000000000005
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939777] GPR16: 0000000000000000 ffffffffffffffff 0000000000000001 000000001000dfe8
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939777] GPR20: 0000000000001000 c0000004efb92800 0000000000000000 c0000004b3260fe8
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939777] GPR24: 0000000000000000 000000000000f000 0000000000001000 c0000004efb92800
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939777] GPR28: f0000000010b9830 0000000000000001 c0000004b3260cb0 0000000000000001
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939845] NIP [c00000000030917c] .ext4_da_invalidatepage+0x38c/0x3b0
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939851] LR [c000000000309178] .ext4_da_invalidatepage+0x388/0x3b0
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939855] Call Trace:
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939860] [c000000448433850] [c000000000309178] .ext4_da_invalidatepage+0x388/0x3b0 (unreliable)
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939869] [c000000448433940] [c0000000001df05c] .truncate_inode_pages_range+0x63c/0x700
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939876] [c000000448433a90] [c0000000001df1c0] .truncate_pagecache+0x60/0xa0
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939883] [c000000448433b20] [c000000000310518] .ext4_setattr+0x548/0x7e0
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939890] [c000000448433bf0] [c000000000278404] .notify_change+0x294/0x4b0
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939897] [c000000448433ca0] [c00000000024f0ec] .do_truncate+0x8c/0x100
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939904] [c000000448433d80] [c00000000024f658] .do_sys_ftruncate.constprop.12+0x1b8/0x230
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939912] [c000000448433e30] [c000000000009ed4] syscall_exit+0x0/0x98
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939916] Instruction dump:
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939920] 7fa5eb78 4bfffe28 e87e0028 e8fe0040 3c82ff55 3cc2ff78 38840130 38a00532
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939931] 38c61f08 39000001 48024eed 60000000 <0fe00000> 813e02a4 7d3207b4 7d3f4b78
Oct 23 08:50:13 jupiterioc-lp2 kernel: [525675.939942] ---[ end trace f54d3ad7aa2758f0 ]---

== Comment: #2 - Vaishnavi Bhat <vaish123@in.ibm.com> - ==
Few of the traces look similar to bugzilla #87613 which is fixed. (RH 916545)

I see the following traces from the log message : 

[c00000045587f850] [c000000000309178] .ext4_da_invalidatepage+0x388/0x3b0 (unreliable)
[c00000045587f940] [c0000000001df05c] .truncate_inode_pages_range+0x63c/0x700
[c00000045587fa90] [c0000000001df1c0] .truncate_pagecache+0x60/0xa0
[c00000045587fb20] [c000000000310518] .ext4_setattr+0x548/0x7e0
[c00000045587fbf0] [c000000000278404] .notify_change+0x294/0x4b0
[c00000045587fca0] [c00000000024f0ec] .do_truncate+0x8c/0x100
[c00000045587fd80] [c00000000024f658] .do_sys_ftruncate.constprop.12+0x1b8/0x230
[c00000045587fe30] [c000000000009ed4] syscall_exit+0x0/0x98
Comment 1 IBM Bug Proxy 2013-10-31 05:53:40 EDT
Created attachment 817791 [details]
messages file from affected machine
Comment 2 Justin M. Forbes 2014-02-24 08:57:58 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Justin M. Forbes 2014-03-17 14:41:49 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.
Comment 4 IBM Bug Proxy 2014-10-08 07:10:53 EDT
------- Comment From vaish123@in.ibm.com 2014-10-08 11:03 EDT-------
(In reply to comment #9)
> *********** MASS BUG UPDATE **************
>
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 20 kernel bugs.
>
> Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel
> update and let us know if you issue has been resolved or if it is still
> present with the newer kernel.
>
> If you experience different issues, please open a new bug report for those.

FWIW, I was looking at reproducing this on mainline (3.13.-rc3). The WARNING doesn't trigger, but I get softlockups:

[2013-12-10 19:34:05]	[ 2328.016706] Modules linked in: ibmveth ibmvscsi scsi_transport_srp scsi_tgt
[2013-12-10 19:34:05]	[ 2328.016720] CPU: 1 PID: 1415 Comm: fsstress Not tainted 3.13.0-rc3 #1
[2013-12-10 19:34:05]	[ 2328.016726] task: c0000001bf25aaa0 ti: c0000001bf450000 task.ti: c0000001bf450000
[2013-12-10 19:34:05]	[ 2328.016732] NIP: c000000000874958 LR: c00000000087488c CTR: 0000000000000000
[2013-12-10 19:34:05]	[ 2328.016738] REGS: c0000001bf452d00 TRAP: 0901   Not tainted  (3.13.0-rc3)
[2013-12-10 19:34:05]	[ 2328.016743] MSR: 8000000000009032 <SF,EE,ME,IR,DR,RI>  CR: 24224484  XER: 00000000
[2013-12-10 19:34:05]	[ 2328.016758] CFAR: c000000000874880 SOFTE: 1
[2013-12-10 19:34:05]	GPR00: c00000000087488c c0000001bf452f80 c000000001389618 c0000001b2f1f868
[2013-12-10 19:34:05]	GPR04: 0000000000000004 0000000000000001 0000000000000055 0000000000000054
[2013-12-10 19:34:05]	GPR08: 0000000000001000 c0000001b2f1f848 0000000080000001 0000000000c80000
[2013-12-10 19:34:05]	GPR12: 0000000084224488 c00000000ed90400
[2013-12-10 19:34:05]	[ 2328.016800] NIP [c000000000874958] .ext4_mb_discard_group_preallocations+0x30c/0x4cc
[2013-12-10 19:34:05]	[ 2328.016807] LR [c00000000087488c] .ext4_mb_discard_group_preallocations+0x240/0x4cc
[2013-12-10 19:34:05]	[ 2328.016812] Call Trace:
[2013-12-10 19:34:05]	[ 2328.016817] [c0000001bf452f80] [c00000000087488c] .ext4_mb_discard_group_preallocations+0x240/0x4cc (unreliable)
[2013-12-10 19:34:05]	[ 2328.016828] [c0000001bf4530d0] [c000000000349928] .ext4_mb_new_blocks+0x548/0x6a0
[2013-12-10 19:34:05]	[ 2328.016835] [c0000001bf4531a0] [c00000000033c7fc] .ext4_ext_map_blocks+0x71c/0x1690
[2013-12-10 19:34:05]	[ 2328.016843] [c0000001bf4532e0] [c000000000307db4] .ext4_map_blocks+0x344/0x5c0
[2013-12-10 19:34:05]	[ 2328.016850] [c0000001bf4533c0] [c0000000003080c4] ._ext4_get_block+0x94/0x230
[2013-12-10 19:34:05]	[ 2328.016858] [c0000001bf453480] [c0000000002a2538] .__blockdev_direct_IO+0x1a08/0x40b0
[2013-12-10 19:34:05]	[ 2328.016867] [c0000001bf453750] [c000000000351b38] .ext4_ind_direct_IO+0x498/0x510
[2013-12-10 19:34:05]	[ 2328.016875] [c0000001bf453870] [c000000000304e1c] .ext4_direct_IO+0x3ac/0x560
[2013-12-10 19:34:05]	[ 2328.016883] [c0000001bf453950] [c0000000001c36b4] .generic_file_direct_write+0x114/0x200
[2013-12-10 19:34:05]	[ 2328.016891] [c0000001bf453a00] [c0000000001c3ac4] .__generic_file_aio_write+0x324/0x3b0
[2013-12-10 19:34:05]	[ 2328.016898] [c0000001bf453ad0] [c000000000300d40] .ext4_file_write+0x2f0/0x470
[2013-12-10 19:34:05]	[ 2328.016905] [c0000001bf453bf0] [c00000000024d600] .do_sync_write+0x90/0x110
[2013-12-10 19:34:05]	[ 2328.016913] [c0000001bf453cf0] [c00000000024e120] .vfs_write+0xe0/0x260
[2013-12-10 19:34:05]	[ 2328.016920] [c0000001bf453d90] [c00000000024ee14] .SyS_write+0x64/0xe0
[2013-12-10 19:34:05]	[ 2328.016928] [c0000001bf453e30] [c000000000009e58] syscall_exit+0x0/0x98
[2013-12-10 19:34:05]	[ 2328.016933] Instruction dump:
[2013-12-10 19:34:05]	[ 2328.016937] 387f0020 7f04c378 4bbcf0b1 60000000 e93e0010 7fdff378 3bc9fff0 4bffff34
[2013-12-10 19:34:05]	[ 2328.016950] 7f999800 409c003c 2fba0000 419e0034 <894d02a4> e93702f8 2f8a0000 e9290180
Comment 5 Josh Boyer 2014-10-08 08:36:42 EDT
(In reply to IBM Bug Proxy from comment #4)
> ------- Comment From vaish123@in.ibm.com 2014-10-08 11:03 EDT-------
> (In reply to comment #9)
> > *********** MASS BUG UPDATE **************
> >
> > We apologize for the inconvenience.  There is a large number of bugs to go
> > through and several of them have gone stale.  Due to this, we are doing a
> > mass bug update across all of the Fedora 20 kernel bugs.
> >
> > Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel
> > update and let us know if you issue has been resolved or if it is still
> > present with the newer kernel.
> >
> > If you experience different issues, please open a new bug report for those.
> 
> FWIW, I was looking at reproducing this on mainline (3.13.-rc3). The WARNING
> doesn't trigger, but I get softlockups:

Fedora doesn't have any release using 3.13 any longer.  F20 is on 3.16.4 now and will be moving to 3.17 within a month.  If you can recreate on one of those kernels, please reopen.

Note You need to log in before you can comment on or make changes to this bug.